﻿$packageName = 'source-han-sans-sc'
$global:packageMaintainer = 'davidpeng'
$url         = 'https://cdn.staticaly.com/gh/adobe-fonts/source-han-sans/2.000R/OTF/SourceHanSansSC.zip'
$checksum    = '6AADCBD5DDB95365241B3EF09905FB07B975426BF6C724E6401C3CEC0178C283'
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$destination = "$toolsDir\SourceHanSansSC"
$fontDir     = "$destination"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'ZIP'
  url           = $url
  checksum      = $checksum 
  checksumType  = 'sha256'
  }
  
Install-ChocolateyZIPPackage @packageArgs

Install-ChocolateyFont "$fontDir\SourceHanSansSC-Bold.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansSC-ExtraLight.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansSC-Heavy.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansSC-Light.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansSC-Medium.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansSC-Normal.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansSC-Regular.otf"
 
Remove-Item $destination -Recurse
